%define name hellanzb
%define version 0.13
%define release %mkrel 5

Summary:        Hands-free nzb downloader and post processor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        BSD
Group:          Networking/News
URL:            http://www.hellanzb.com/trac/
Source:		%{name}-%{version}.tar.xz
Patch0:         hellanzb-configuration-location3.patch
Patch1:         hellanzb-unrar-is-optional.patch
Patch2:         hellanzb-remove-bogus-shebang.patch
Patch3:         hellanzb-0.13-dont-attempt-multiple-groups.diff
Patch4:         007-Twisted_10.0.0_compat.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
BuildRequires:  libpython-devel
BuildRequires:  python-setuptools
Requires:       par2cmdline
Requires:       python-twisted
Requires:       python-twisted-web
Requires:       python-yenc
Requires:       unrar
Requires:	python >= 2.7
Obsoletes:   	%name < %version

%description
hellanzb is an easy to use application designed to retrieve nzb files
and fully process them. The goal being to make getting files from Usenet
as hands-free as possible. Once fully installed, all that's required
is moving an nzb file to the queue directory. The rest: downloading,
par-checking, un-raring, etc. is done automatically by hellanzb.


%prep

%setup -q
%patch0
sed --in-place 's|\*DOCDIR\*|%{_docdir}|' Hellanzb/Core.py
sed --in-place 's|\*PKGNAME\*|%{name}|'   Hellanzb/Core.py
%patch1
%patch2
%patch3
%patch4 -p1 -b .twisted 

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

mv %{buildroot}%{_bindir}/%{name}.py %{buildroot}%{_bindir}/%{name}
rm %{buildroot}/usr/etc/%{name}.conf.sample

mv etc/hellanzb.conf.sample %{buildroot}/%{_docdir}/%{name}/


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}/
%{python_sitelib}/*
%{_bindir}/%{name}

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.13-5pclos2013
- update python 2.7

* Sat Oct 02 2010 Texstar <texstar at gmail.com> 0.13-4pclos2010
- add patch for twisted 10.0.0

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.13-3pclos2010
- Update

* Fri Oct 16 2009 Texstar <texstar at gmail.com> 0.13-2pclos2010
- fix rpm group 

* Sat Oct 03 2009 rogaven <rogaven@rogaven.info> - 0.13-1pclos2010
- build for PCLinuxOS 2009
